#if !defined(AFX_TABLEIDS_H__CA4A97DA_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
#define AFX_TABLEIDS_H__CA4A97DA_278B_11D4_9FC0_080009EE62AA__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TableIDs.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTableIDs DAO recordset

class CTableIDs : public CDaoRecordset
{
public:
	int GetNextID( const char* Tablename );

	CTableIDs(CDaoDatabase* pDatabase = NULL);
	DECLARE_DYNAMIC(CTableIDs)

// Field/Param Data
	//{{AFX_FIELD(CTableIDs, CDaoRecordset)
	CString	m_Tablename;
	long	m_LastID;
	//}}AFX_FIELD

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTableIDs)
	public:
	virtual CString GetDefaultDBName();		// Default database name
	virtual CString GetDefaultSQL();		// Default SQL for Recordset
	virtual void DoFieldExchange(CDaoFieldExchange* pFX);  // RFX support
	//}}AFX_VIRTUAL

// Implementation
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TABLEIDS_H__CA4A97DA_278B_11D4_9FC0_080009EE62AA__INCLUDED_)
